export default class QuickLRU extends Map<any, any> {
    constructor(options?: {});
    get __oldCache(): Map<any, any>;
    get(key: any): any;
    set(key: any, value: any, { maxAge }?: {
        maxAge?: any;
    }): this;
    has(key: any): boolean;
    peek(key: any): any;
    delete(key: any): boolean;
    resize(newSize: any): void;
    keys(): Generator<any, void, unknown>;
    values(): Generator<any, void, unknown>;
    entriesDescending(): Generator<any[], void, unknown>;
    entriesAscending(): Generator<any[], void, unknown>;
    get maxSize(): any;
    entries(): Generator<any[], void, unknown>;
    forEach(callbackFunction: any, thisArgument?: this): void;
    [Symbol.iterator](): Generator<any[], void, unknown>;
    #private;
}
